<?xml version="1.0" encoding="utf-8"?>

<!--
  有关如何配置 ASP.NET 应用程序的详细消息，请访问
  http://go.microsoft.com/fwlink/?LinkId=169433
  -->

<configuration>
    <system.web>
        <compilation debug="true" targetFramework="4.0" />
    </system.web>
    <appSettings>
      <!--
      ##############SDK配置文件（证书方式签名）################
      # 说明：
      # 1. 使用时请将此文件替换原来的Web.config。
      # 2. 具体配置项请根据注释修改。
      #########################################################
      -->
      
      <!-- 签名证书路径，证书位于assets/测试环境证书/文件夹下，请复制到d:/certs文件夹 -->
      <add key="acpsdk.signCert.path" value="d:/certs/acp_test_sign.pfx" />
      <!-- 签名证书密码，测试证书默认000000 -->
      <add key="acpsdk.signCert.pwd" value="000000" />
      <!-- 加密证书路径 -->
      <add key="acpsdk.encryptCert.path" value="d:/certs/acp_test_enc.cer" />
      <!-- 验签中级证书路径 -->
      <add key="acpsdk.middleCert.path" value="d:/certs/acp_test_middle.cer" />
      <!-- 验签根证书路径 -->
      <add key="acpsdk.rootCert.path" value="d:/certs/acp_test_root.cer" />

      <!-- 签名方式，证书方式固定01，请勿改动。 -->
      <add key="acpsdk.signMethod" value="01" />
      <!-- 报文版本号，固定5.1.0，请勿改动。。 -->
      <add key="acpsdk.version" value="5.1.0" />

      <!-- 是否验证https证书，测试环境请设置false，生产环境建议优先尝试true，不行再false。非true的值默认都当false处理 -->
      <add key="acpsdk.ifValidateRemoteCert" value="false" />
      <!-- 是否验证验签证书的CN，测试环境请设置false，生产环境请设置true。非false的值默认都当true处理 -->
      <add key="acpsdk.ifValidateCNName" value="false" />

      <!-- 前台通知地址，填写后台接收银联前台通知的地址 -->
      <add key="acpsdk.frontUrl" value="http://localhost:8080/demo/api_99_identification/FrontRcvResponse.aspx" />
      <!-- 后台通知地址，填写后台接收银联后台通知的地址，必须外网能访问 -->
      <add key="acpsdk.backUrl" value="http://222.222.222.222:8080/demo/api_99_identification/BackRcvResponse.aspx" />
      
      <add key="acpsdk.frontFailUrl" value="http://localhost:8080/demo/api_99_identification/FrontFailRcvResponse.aspx" />
          
      <!--########################## 测试环境地址（生产环境地址见assets文件夹下面的生产环境配置文件） #############################-->
      <!-- 前台交易地址 -->
      <add key="acpsdk.zhrzFrontTransUrl" value="https://upverify.test.95516.com/gateway/api/frontTransReq.do" />
      <!-- 后台交易地址 -->
      <add key="acpsdk.zhrzBackTransUrl" value="https://upverify.test.95516.com/gateway/api/backTransReq.do" />
      <!-- 交易状态查询地址 -->
      <add key="acpsdk.zhrzSingleQueryUrl" value="https://upverify.test.95516.com/gateway/api/queryTrans.do" />
      <!-- 有卡交易地址 -->
      <add key="acpsdk.zhrzCardRequestUrl" value="https://upverify.test.95516.com/gateway/api/cardTransReq.do" />
      <!-- app交易地址 手机控件支付使用该地址-->
      <add key="acpsdk.zhrzAppRequestUrl" value="https://upverify.test.95516.com/gateway/api/appTransReq.do" />
      
      <add key="acpsdk.zhrzFaceTransUrl" value="https://faceverify.test.95516.com/gateway/api/backTransReq.do" />
      <!--##########################log4net配置#############################-->
      <add key="log4net.Config" value="log4net.config"/>
      <add key="log4net.Config.Watch" value="True"/>
    </appSettings>
</configuration>
